> ## Documentation Index
> Fetch the complete documentation index at: https://developer.clopos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get stop list

> Retrieve stop list data for specific products. The stop list indicates product limitations such as stock limits.



## OpenAPI

````yaml /api-reference/v2/openapi.json get /products/stop-list
openapi: 3.1.0
info:
  title: Clopos Open API v2
  description: >-
    The **Clopos Open API v2** provides secure and unified access to the Clopos
    ecosystem, enabling seamless integration of POS, ordering, payments, and
    restaurant management services.
  contact:
    email: dev@clopos.com
  version: 2.0.0
  license:
    name: ''
servers:
  - url: https://integrations.clopos.com/open-api/v2
    description: '**Base Url**'
security:
  - xToken: []
tags:
  - name: Authentication
  - name: Venues
  - name: Users
  - name: Customers
  - name: Menu
  - name: Stations
  - name: Products
  - name: Price Lists
  - name: Sales
  - name: Orders
  - name: Receipts
paths:
  /products/stop-list:
    get:
      tags:
        - Products
      summary: Get stop list
      description: >-
        Retrieve stop list data for specific products. The stop list indicates
        product limitations such as stock limits.
      parameters:
        - name: filters[0][0]
          in: query
          description: Filter field name. Use 'id' to filter by product ID.
          schema:
            type: string
            example: id
        - name: filters[0][1]
          in: query
          description: Array of product IDs to filter
          schema:
            type: array
            items:
              type: integer
          style: form
          explode: true
      responses:
        '200':
          description: Stop list retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StopListResponse'
        '400':
          description: Invalid filter parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    StopListResponse:
      type: object
      properties:
        success:
          type: boolean
        data:
          type: array
          items:
            $ref: '#/components/schemas/StopListEntry'
      required:
        - success
        - data
    Error:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: string
        message:
          type: string
        details:
          type: object
    StopListEntry:
      type: object
      properties:
        id:
          type: integer
        limit:
          type: integer
        timestamp:
          type: integer
      required:
        - id
        - limit
        - timestamp
  securitySchemes:
    xToken:
      type: apiKey
      in: header
      name: x-token
      description: JWT access token obtained from /v2/auth endpoint

````